Subject: [bug#41785] [PATCH v3 2/2] services: Add 'hurd-vm service-type'.

From: Jan Nieuwenhuizen <[email-masked]>
Date: Sat, 13 Jun 2020 15:10:18 +0200

Mathieu Othacehe writes:

Hey Mathieu!

>> +(define (hurd-vm-disk-image config)
>> +  "Return a disk-image for the Hurd according to CONFIG."
>> +  (let ((os (hurd-vm-configuration-os config))
>> +        (disk-size (hurd-vm-configuration-disk-size config))
>> +        (target (and (not (%current-target-system)) "i586-pc-gnu"))
>> +        (base-image (find-image "ext2" (%current-target-system))))
>> +    (with-parameters ((%current-target-system target))
>> +      (system-image
>> +       (image (inherit base-image)
>> +              (size disk-size)
>> +              (operating-system os))))))
>
> With the attached patch, you could write:
>
> (define (hurd-vm-disk-image config)
>   "Return a disk-image for the Hurd according to CONFIG."
>   (let ((os (hurd-vm-configuration-os config))
>         (disk-size (hurd-vm-configuration-disk-size config)))
>     (system-image
>      (image
>       (inherit hurd-disk-image)
>       (size disk-size)
>       (operating-system os)))))
>
> WDYT?

I like it a lot!  Ludo already said adding target to image would be a
good idea.  Go for it!

> From dbcfd86a74903cb0fe77843518625436d749ed09 Mon Sep 17 00:00:00 2001
> From: Mathieu Othacehe <[email-masked]>
> Date: Sat, 13 Jun 2020 14:01:18 +0200
> Subject: [PATCH] image: Add 'target' support.

This is already one step towards the image catalog, looks good to me!

Note that I found https://bugs.gnu.org/41835 so I had to revert that
patch in order to test...less than great; but I didn't want to push
a revert without communicating about it first.

Greetings,
Janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com